Index: svn/src/mainboard/tyan/s2882/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2882/mptable.c
+++ svn/src/mainboard/tyan/s2882/mptable.c
@@ -31,7 +31,7 @@ static unsigned node_link_to_bus(unsigne
                 dst_link = (config_map >> 8) & 3;
                 bus_base = (config_map >> 16) & 0xff;
 #if 0                           
-                printk(BIOS_DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
+                printk(DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
                         dst_node, dst_link, bus_base,
                         reg, config_map);
 #endif
@@ -85,7 +85,7 @@ static void *smp_write_config_table(void
                 /* HT chain 0 */
                 bus_chain_0 = node_link_to_bus(0, 0);
                 if (bus_chain_0 == 0) {
-                        printk(BIOS_DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
+                        printk(DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
                         bus_chain_0 = 1;
                 }
 
@@ -97,7 +97,7 @@ static void *smp_write_config_table(void
                         bus_isa++;
                 }     
                 else {  
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
 
                         bus_8111_1 = 4;
                         bus_isa = 5;
@@ -109,7 +109,7 @@ static void *smp_write_config_table(void
 
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
 
                         bus_8131_1 = 2;
                 }
@@ -120,7 +120,7 @@ static void *smp_write_config_table(void
 
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
                         bus_8131_2 = 3;
                 }
@@ -248,7 +248,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s2885/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2885/get_bus_conf.c
+++ svn/src/mainboard/tyan/s2885/get_bus_conf.c
@@ -88,11 +88,11 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE >= CONFIG_HT_CHAIN_UNITID_BASE
                 bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                 bus_isa++;
-//		printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+//		printk(DEBUG, "bus_isa=%d\n",bus_isa);
 #endif
         }
 	else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:03.0, using defaults\n", bus_8111_0);
+                printk(DEBUG, "ERROR - could not find PCI %02x:03.0, using defaults\n", bus_8111_0);
         }
 
         /* 8131-1 */
@@ -101,7 +101,7 @@ void get_bus_conf(void)
                 bus_8131_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
         }
         else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_8131_0);
+                printk(DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_8131_0);
         }
 
         /* 8132-2 */
@@ -111,12 +111,12 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE < CONFIG_HT_CHAIN_UNITID_BASE
                 bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                 bus_isa++;
-//              printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+//              printk(DEBUG, "bus_isa=%d\n",bus_isa);
 #endif
 
         }
         else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_8131_0);
+                printk(DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_8131_0);
         }
 
         /* HT chain 1 */
@@ -127,7 +127,7 @@ void get_bus_conf(void)
 
         if (dev) {
            	bus_8151_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
-//              printk(BIOS_DEBUG, "bus_8151_1=%d\n",bus_8151_1);
+//              printk(DEBUG, "bus_8151_1=%d\n",bus_8151_1);
                 bus_isa = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
        	        bus_isa++;
        	}
Index: svn/src/mainboard/tyan/s2885/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2885/irq_tables.c
+++ svn/src/mainboard/tyan/s2885/irq_tables.c
@@ -61,7 +61,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+        printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -105,7 +105,7 @@ unsigned long write_pirq_routing_table(u
                 pirq->checksum = sum;
         }
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/tyan/s2885/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2885/mptable.c
+++ svn/src/mainboard/tyan/s2885/mptable.c
@@ -152,7 +152,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s2891/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2891/acpi_tables.c
+++ svn/src/mainboard/tyan/s2891/acpi_tables.c
@@ -113,7 +113,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -131,21 +131,21 @@ unsigned long write_acpi_tables(unsigned
 
 	current = ALIGN(current, 64);
 	facs = (acpi_facs_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * FACS %p\n", facs);
+	printk(DEBUG, "ACPI:    * FACS %p\n", facs);
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* DSDT */
 	current = ALIGN(current, 16);
 	dsdt = (acpi_header_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * DSDT %p\n", dsdt);
+	printk(DEBUG, "ACPI:    * DSDT %p\n", dsdt);
 	current += AmlCode.length;
 	memcpy((void*) dsdt, &AmlCode, AmlCode.length);
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n",dsdt,dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n",dsdt,dsdt->length);
 
 	current = ALIGN(current, 16);
 	fadt = (acpi_fadt_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * FACP (FADT) @ %p\n", fadt);
+	printk(DEBUG, "ACPI:    * FACP (FADT) @ %p\n", fadt);
 	current += sizeof(acpi_fadt_t);
 
 	/* Add FADT now that we have facs and dsdt. */
@@ -154,21 +154,21 @@ unsigned long write_acpi_tables(unsigned
 
 	current = ALIGN(current, 16);
 	hpet = (acpi_hpet_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * HPET @ %p\n", hpet);
+	printk(DEBUG, "ACPI:    * HPET @ %p\n", hpet);
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
 	current = ALIGN(current, 16);
 	madt = (acpi_madt_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * APIC/MADT @ %p\n", madt);
+	printk(DEBUG, "ACPI:    * APIC/MADT @ %p\n", madt);
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
 	current = ALIGN(current, 16);
 	srat = (acpi_srat_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * SRAT @ %p\n", srat);
+	printk(DEBUG, "ACPI:    * SRAT @ %p\n", srat);
 	acpi_create_srat(srat);
 	current += srat->header.length;
 	acpi_add_table(rsdp, srat);
@@ -176,7 +176,7 @@ unsigned long write_acpi_tables(unsigned
 	/* SLIT */
 	current = ALIGN(current, 16);
 	slit = (acpi_slit_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * SLIT @ %p\n", slit);
+	printk(DEBUG, "ACPI:    * SLIT @ %p\n", slit);
 	acpi_create_slit(slit);
 	current+=slit->header.length;
 	acpi_add_table(rsdp,slit);
@@ -184,11 +184,11 @@ unsigned long write_acpi_tables(unsigned
 	/* SSDT */
 	current = ALIGN(current, 16);
 	ssdt = (acpi_header_t *)current;
-	printk(BIOS_DEBUG, "ACPI:    * SSDT @ %p\n", ssdt);
+	printk(DEBUG, "ACPI:    * SSDT @ %p\n", ssdt);
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
 	current += ssdt->length;
 	acpi_add_table(rsdp, ssdt);
 
-	printk(BIOS_INFO, "ACPI: done %p.\n", (void *)current);
+	printk(INFO, "ACPI: done %p.\n", (void *)current);
 	return current;
 }
Index: svn/src/mainboard/tyan/s2891/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2891/get_bus_conf.c
+++ svn/src/mainboard/tyan/s2891/get_bus_conf.c
@@ -96,7 +96,7 @@ void get_bus_conf(void)
                         bus_ck804_4++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x09);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x09);
 
                         bus_ck804_1 = 2;
                         bus_ck804_4 = 3;
@@ -109,7 +109,7 @@ void get_bus_conf(void)
                         bus_ck804_5++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n",sbdn + 0x0d);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n",sbdn + 0x0d);
 
                         bus_ck804_5 = bus_ck804_4+1;
                 }
@@ -121,7 +121,7 @@ void get_bus_conf(void)
                         bus_isa++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn+ 0x0e);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn+ 0x0e);
                 }
 
 		bus_8131_0 = (sysconf.pci1234[1] >> 16) & 0xff;
@@ -133,7 +133,7 @@ void get_bus_conf(void)
                         bus_8131_2++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_8131_0);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_8131_0);
 
                         bus_8131_1 = bus_8131_0+1;
                         bus_8131_2 = bus_8131_0+2;
@@ -146,7 +146,7 @@ void get_bus_conf(void)
                         bus_isa++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_8131_0);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_8131_0);
 
                         bus_8131_2 = bus_8131_1+1;
                         bus_isa = bus_8131_1+2;
Index: svn/src/mainboard/tyan/s2891/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2891/irq_tables.c
+++ svn/src/mainboard/tyan/s2891/irq_tables.c
@@ -67,7 +67,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -162,7 +162,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/tyan/s2891/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2891/mptable.c
+++ svn/src/mainboard/tyan/s2891/mptable.c
@@ -177,7 +177,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s2891/romstage.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2891/romstage.c
+++ svn/src/mainboard/tyan/s2891/romstage.c
@@ -169,7 +169,7 @@ void cache_as_ram_main(unsigned long bis
 	needs_reset |= ck804_early_setup_x();
 
 	if (needs_reset) {
-		printk(BIOS_INFO, "ht reset -\n");
+		printk(INFO, "ht reset -\n");
 		soft_reset();
 	}
 
Index: svn/src/mainboard/tyan/s2892/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2892/acpi_tables.c
+++ svn/src/mainboard/tyan/s2892/acpi_tables.c
@@ -113,7 +113,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -131,21 +131,21 @@ unsigned long write_acpi_tables(unsigned
 
 	current = ALIGN(current, 64);
 	facs = (acpi_facs_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * FACS %p\n", facs);
+	printk(DEBUG, "ACPI:    * FACS %p\n", facs);
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* DSDT */
 	current = ALIGN(current, 16);
 	dsdt = (acpi_header_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * DSDT %p\n", dsdt);
+	printk(DEBUG, "ACPI:    * DSDT %p\n", dsdt);
 	current += AmlCode.length;
 	memcpy((void*) dsdt, &AmlCode, AmlCode.length);
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n",dsdt,dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n",dsdt,dsdt->length);
 
 	current = ALIGN(current, 16);
 	fadt = (acpi_fadt_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * FACP (FADT) @ %p\n", fadt);
+	printk(DEBUG, "ACPI:    * FACP (FADT) @ %p\n", fadt);
 	current += sizeof(acpi_fadt_t);
 
 	/* Add FADT now that we have facs and dsdt. */
@@ -154,21 +154,21 @@ unsigned long write_acpi_tables(unsigned
 
 	current = ALIGN(current, 16);
 	hpet = (acpi_hpet_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * HPET @ %p\n", hpet);
+	printk(DEBUG, "ACPI:    * HPET @ %p\n", hpet);
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
 	current = ALIGN(current, 16);
 	madt = (acpi_madt_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * APIC/MADT @ %p\n", madt);
+	printk(DEBUG, "ACPI:    * APIC/MADT @ %p\n", madt);
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
 	current = ALIGN(current, 16);
 	srat = (acpi_srat_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * SRAT @ %p\n", srat);
+	printk(DEBUG, "ACPI:    * SRAT @ %p\n", srat);
 	acpi_create_srat(srat);
 	current += srat->header.length;
 	acpi_add_table(rsdp, srat);
@@ -176,7 +176,7 @@ unsigned long write_acpi_tables(unsigned
 	/* SLIT */
 	current = ALIGN(current, 16);
 	slit = (acpi_slit_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * SLIT @ %p\n", slit);
+	printk(DEBUG, "ACPI:    * SLIT @ %p\n", slit);
 	acpi_create_slit(slit);
 	current+=slit->header.length;
 	acpi_add_table(rsdp,slit);
@@ -184,11 +184,11 @@ unsigned long write_acpi_tables(unsigned
 	/* SSDT */
 	current = ALIGN(current, 16);
 	ssdt = (acpi_header_t *)current;
-	printk(BIOS_DEBUG, "ACPI:    * SSDT @ %p\n", ssdt);
+	printk(DEBUG, "ACPI:    * SSDT @ %p\n", ssdt);
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
 	current += ssdt->length;
 	acpi_add_table(rsdp, ssdt);
 
-	printk(BIOS_INFO, "ACPI: done %p.\n", (void *)current);
+	printk(INFO, "ACPI: done %p.\n", (void *)current);
 	return current;
 }
Index: svn/src/mainboard/tyan/s2892/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2892/get_bus_conf.c
+++ svn/src/mainboard/tyan/s2892/get_bus_conf.c
@@ -93,7 +93,7 @@ void get_bus_conf(void)
                         bus_ck804_4++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x09);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x09);
 
                         bus_ck804_1 = 2;
                         bus_ck804_4 = 3;
@@ -106,7 +106,7 @@ void get_bus_conf(void)
                         bus_ck804_5++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n",sbdn + 0x0d);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n",sbdn + 0x0d);
 
                         bus_ck804_5 = bus_ck804_4+1;
                 }
@@ -118,7 +118,7 @@ void get_bus_conf(void)
                         bus_isa++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn+ 0x0e);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn+ 0x0e);
                 }
 
 		bus_8131_0 = (sysconf.pci1234[1] >> 16) & 0xff;
@@ -130,7 +130,7 @@ void get_bus_conf(void)
                         bus_8131_2++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_8131_0);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_8131_0);
 
                         bus_8131_1 = bus_8131_0+1;
                         bus_8131_2 = bus_8131_0+2;
@@ -143,7 +143,7 @@ void get_bus_conf(void)
                         bus_isa++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_8131_0);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_8131_0);
 
                         bus_8131_2 = bus_8131_1+1;
                         bus_isa = bus_8131_1+2;
Index: svn/src/mainboard/tyan/s2892/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2892/irq_tables.c
+++ svn/src/mainboard/tyan/s2892/irq_tables.c
@@ -65,7 +65,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -155,7 +155,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/tyan/s2892/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2892/mptable.c
+++ svn/src/mainboard/tyan/s2892/mptable.c
@@ -198,7 +198,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s2892/romstage.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2892/romstage.c
+++ svn/src/mainboard/tyan/s2892/romstage.c
@@ -153,7 +153,7 @@ void cache_as_ram_main(unsigned long bis
 	needs_reset |= ck804_early_setup_x();
 
 	if (needs_reset) {
-		printk(BIOS_INFO, "ht reset -\n");
+		printk(INFO, "ht reset -\n");
 		soft_reset();
 	}
 
Index: svn/src/mainboard/tyan/s2895/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2895/acpi_tables.c
+++ svn/src/mainboard/tyan/s2895/acpi_tables.c
@@ -138,7 +138,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -156,21 +156,21 @@ unsigned long write_acpi_tables(unsigned
 
 	current = ALIGN(current, 64);
 	facs = (acpi_facs_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * FACS %p\n", facs);
+	printk(DEBUG, "ACPI:    * FACS %p\n", facs);
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* DSDT */
 	current = ALIGN(current, 16);
 	dsdt = (acpi_header_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * DSDT %p\n", dsdt);
+	printk(DEBUG, "ACPI:    * DSDT %p\n", dsdt);
 	current += AmlCode.length;
 	memcpy((void*) dsdt, &AmlCode, AmlCode.length);
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n",dsdt,dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n",dsdt,dsdt->length);
 
 	current = ALIGN(current, 16);
 	fadt = (acpi_fadt_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * FACP (FADT) @ %p\n", fadt);
+	printk(DEBUG, "ACPI:    * FACP (FADT) @ %p\n", fadt);
 	current += sizeof(acpi_fadt_t);
 
 	/* Add FADT now that we have facs and dsdt. */
@@ -179,21 +179,21 @@ unsigned long write_acpi_tables(unsigned
 
 	current = ALIGN(current, 16);
 	hpet = (acpi_hpet_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * HPET @ %p\n", hpet);
+	printk(DEBUG, "ACPI:    * HPET @ %p\n", hpet);
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
 	current = ALIGN(current, 16);
 	madt = (acpi_madt_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * APIC/MADT @ %p\n", madt);
+	printk(DEBUG, "ACPI:    * APIC/MADT @ %p\n", madt);
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
 	current = ALIGN(current, 16);
 	srat = (acpi_srat_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * SRAT @ %p\n", srat);
+	printk(DEBUG, "ACPI:    * SRAT @ %p\n", srat);
 	acpi_create_srat(srat);
 	current += srat->header.length;
 	acpi_add_table(rsdp, srat);
@@ -201,7 +201,7 @@ unsigned long write_acpi_tables(unsigned
 	/* SLIT */
 	current = ALIGN(current, 16);
 	slit = (acpi_slit_t *) current;
-	printk(BIOS_DEBUG, "ACPI:    * SLIT @ %p\n", slit);
+	printk(DEBUG, "ACPI:    * SLIT @ %p\n", slit);
 	acpi_create_slit(slit);
 	current+=slit->header.length;
 	acpi_add_table(rsdp,slit);
@@ -209,11 +209,11 @@ unsigned long write_acpi_tables(unsigned
 	/* SSDT */
 	current = ALIGN(current, 16);
 	ssdt = (acpi_header_t *)current;
-	printk(BIOS_DEBUG, "ACPI:    * SSDT @ %p\n", ssdt);
+	printk(DEBUG, "ACPI:    * SSDT @ %p\n", ssdt);
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
 	current += ssdt->length;
 	acpi_add_table(rsdp, ssdt);
 
-	printk(BIOS_INFO, "ACPI: done %p.\n", (void *)current);
+	printk(INFO, "ACPI: done %p.\n", (void *)current);
 	return current;
 }
Index: svn/src/mainboard/tyan/s2895/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2895/get_bus_conf.c
+++ svn/src/mainboard/tyan/s2895/get_bus_conf.c
@@ -102,7 +102,7 @@ void get_bus_conf(void)
                         bus_ck804_5++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x09);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x09);
 
                         bus_ck804_1 = 2;
                         bus_ck804_5 = 3;
@@ -113,7 +113,7 @@ void get_bus_conf(void)
                         bus_ck804_5 = pci_read_config8(dev, PCI_SECONDARY_BUS);
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn+ 0x0e);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn+ 0x0e);
                 }
 
 		bus_8131_0 = (sysconf.pci1234[1] >> 16) & 0xff;
@@ -125,7 +125,7 @@ void get_bus_conf(void)
                         bus_8131_2++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_8131_0);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_8131_0);
 
                         bus_8131_1 = bus_8131_0+1;
                         bus_8131_2 = bus_8131_0+2;
@@ -138,7 +138,7 @@ void get_bus_conf(void)
                         bus_isa++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_8131_0);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_8131_0);
 
                         bus_8131_2 = bus_8131_1+1;
                 }
@@ -155,7 +155,7 @@ void get_bus_conf(void)
                         bus_isa++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_ck804b_0,sbdnb+0x0e);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_ck804b_0,sbdnb+0x0e);
                         bus_ck804b_5 = bus_ck804b_4+1;
                         bus_isa = bus_ck804b_5+1;
                 }
Index: svn/src/mainboard/tyan/s2895/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2895/irq_tables.c
+++ svn/src/mainboard/tyan/s2895/irq_tables.c
@@ -72,7 +72,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -174,7 +174,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/tyan/s2895/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2895/mptable.c
+++ svn/src/mainboard/tyan/s2895/mptable.c
@@ -226,7 +226,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s2895/romstage.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2895/romstage.c
+++ svn/src/mainboard/tyan/s2895/romstage.c
@@ -197,7 +197,7 @@ void cache_as_ram_main(unsigned long bis
 	needs_reset |= ck804_early_setup_x();
 
 	if (needs_reset) {
-		printk(BIOS_INFO, "ht reset -\n");
+		printk(INFO, "ht reset -\n");
 		soft_reset();
 	}
 
Index: svn/src/mainboard/tyan/s2912/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912/get_bus_conf.c
+++ svn/src/mainboard/tyan/s2912/get_bus_conf.c
@@ -128,7 +128,7 @@ void get_bus_conf(void)
 			m->bus_mcp55[1] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sysconf.sbdn + 0x06);
+			printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sysconf.sbdn + 0x06);
 		}
 
 		for(i=2; i<8;i++) {
@@ -137,7 +137,7 @@ void get_bus_conf(void)
 				m->bus_mcp55[i] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 			}
 			else {
-				printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_mcp55[0], sysconf.sbdn + 0x0a + i - 2 );
+				printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_mcp55[0], sysconf.sbdn + 0x0a + i - 2 );
 			}
 		}
 
@@ -150,7 +150,7 @@ void get_bus_conf(void)
 			m->bus_type[j] = 1;
 		if(m->bus_isa <= busn_max)
 			m->bus_isa = busn_max + 1;
-		printk(BIOS_DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
+		printk(DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
 	}
 
 /*I/O APICs:	APIC ID	Version	State		Address*/
Index: svn/src/mainboard/tyan/s2912/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912/irq_tables.c
+++ svn/src/mainboard/tyan/s2912/irq_tables.c
@@ -76,7 +76,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -122,7 +122,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/tyan/s2912/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912/mptable.c
+++ svn/src/mainboard/tyan/s2912/mptable.c
@@ -147,7 +147,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s2912/romstage.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912/romstage.c
+++ svn/src/mainboard/tyan/s2912/romstage.c
@@ -209,7 +209,7 @@ void cache_as_ram_main(unsigned long bis
 	early_usbdebug_direct_init();
 #endif
 	console_init();
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
 	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
